"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkXVQVWCIEcjs = require('./chunk-XVQVWCIE.cjs');


var _chunk52BL3727cjs = require('./chunk-52BL3727.cjs');


var _chunkDRQTDJSCcjs = require('./chunk-DRQTDJSC.cjs');


var _chunk7FO3T7KHcjs = require('./chunk-7FO3T7KH.cjs');

// src/common/data/object-changes.ts
function objectAssignDeepInPlace(toObject, fromObject) {
  if (_chunk52BL3727cjs.isRecord.call(void 0, toObject) && _chunk52BL3727cjs.isRecord.call(void 0, fromObject)) {
    const fromKeys = Object.keys(fromObject);
    for (const key of _chunkDRQTDJSCcjs.arrayMinus.call(void 0, Object.keys(toObject), fromKeys))
      delete toObject[key];
    for (const key of fromKeys) {
      const from = fromObject[key];
      const to = toObject[key];
      if (_chunk52BL3727cjs.isRecord.call(void 0, from)) {
        if (_chunk52BL3727cjs.isRecord.call(void 0, to))
          objectAssignDeepInPlace(to, from);
        else
          toObject[key] = _chunk7FO3T7KHcjs.cloneObject.call(void 0, from);
      } else if (from !== to) {
        toObject[key] = from;
      }
    }
  }
  return toObject;
}
function objectDescribeChange(fromObject, toObject) {
  const change = {};
  for (const key of _chunkDRQTDJSCcjs.arrayMinus.call(void 0, Object.keys(fromObject), Object.keys(toObject)))
    change[key] = null;
  for (const [key, value] of Object.entries(toObject)) {
    const from = fromObject[key];
    if (_chunk52BL3727cjs.isRecord.call(void 0, value)) {
      const subChange = objectDescribeChange(_nullishCoalesce(from, () => ( {})), value);
      if (subChange != null)
        change[key] = subChange;
    } else if (!(value == null && from == null)) {
      if (!_chunkXVQVWCIEcjs.deepEqual.call(void 0, value, from))
        change[key] = value == null ? null : value;
    }
  }
  return Object.keys(change).length > 0 ? change : void 0;
}




exports.objectAssignDeepInPlace = objectAssignDeepInPlace; exports.objectDescribeChange = objectDescribeChange;
//# sourceMappingURL=chunk-6BXZXESY.cjs.map