"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunk2VABLU7Lcjs = require('./chunk-2VABLU7L.cjs');


var _chunkWOXHYQXMcjs = require('./chunk-WOXHYQXM.cjs');


var _chunk6XG57PHGcjs = require('./chunk-6XG57PHG.cjs');


var _chunkTQRJC6FWcjs = require('./chunk-TQRJC6FW.cjs');


var _chunkXYGMYIEVcjs = require('./chunk-XYGMYIEV.cjs');


var _chunkSF5226HTcjs = require('./chunk-SF5226HT.cjs');

// src/node/log/log-context-node.ts
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function Logger(name, level) {
  return _chunkXYGMYIEVcjs.getGlobalLogger.call(void 0, (context) => {
    const handlers = [
      _chunkWOXHYQXMcjs.LoggerNodeHandler.call(void 0, {
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = _nullishCoalesce(_process2.default.env.ZEED_LOG, () => ( _process2.default.env.LOG));
    const time = _chunkSF5226HTcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_TIME, true);
    const pretty = _chunkSF5226HTcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(_chunk2VABLU7Lcjs.LoggerFileHandler.call(void 0, _chunk6XG57PHGcjs.toPath.call(void 0, logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _chunkTQRJC6FWcjs._LoggerFromConfig.call(void 0, Logger, config, name, level);
}




exports.Logger = Logger; exports.LoggerFromConfig = LoggerFromConfig;
//# sourceMappingURL=chunk-CCS355PJ.cjs.map