import {
  createDecoder,
  readAny
} from "../../../chunk-MO24G7VK.js";
import {
  createEncoder,
  encodeToUint8Array,
  writeAny
} from "../../../chunk-QQSABUQG.js";
import "../../../chunk-RNL46FQ3.js";
import "../../../chunk-MWUFUBY5.js";
import "../../../chunk-GKKLBSFA.js";
import "../../../chunk-LRAR7IPU.js";

// src/common/bin/lib0/buffer.ts
function createUint8ArrayFromLen(len) {
  return new Uint8Array(len);
}
function copyUint8Array(uint8Array) {
  const newBuf = createUint8ArrayFromLen(uint8Array.byteLength);
  newBuf.set(uint8Array);
  return newBuf;
}
function encodeAny(data) {
  const encoder = createEncoder();
  writeAny(encoder, data);
  return encodeToUint8Array(encoder);
}
function decodeAny(buf) {
  return readAny(createDecoder(buf));
}
export {
  copyUint8Array,
  createUint8ArrayFromLen,
  decodeAny,
  encodeAny
};
//# sourceMappingURL=buffer.js.map