"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-MBFXWDW2.cjs');
require('../chunk-6MBQJIO3.cjs');
require('../chunk-JCNZZG5S.cjs');
require('../chunk-MISU7G26.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-CSTIENVQ.cjs');
require('../chunk-EZIDDVJG.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-5KZAXCCX.cjs');
require('../chunk-4HLDMY5U.cjs');
require('../chunk-WJLGDUG7.cjs');
require('../chunk-S6C2I4HY.cjs');
require('../chunk-TVG2N27I.cjs');
require('../chunk-2K7CMJLH.cjs');
require('../chunk-ZO3HNLXY.cjs');
require('../chunk-TSD5DD6R.cjs');
require('../chunk-IXCEHUIO.cjs');
require('../chunk-XVSXTYYC.cjs');
require('../chunk-LARONVYA.cjs');
require('../chunk-MGRD2O72.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-ZOA7N26R.cjs');
require('../chunk-BNY33VPP.cjs');
require('../chunk-VLHGYWYE.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-ZFHTACEU.cjs');


var _chunkXYGMYIEVcjs = require('../chunk-XYGMYIEV.cjs');
require('../chunk-H7G364FQ.cjs');
require('../chunk-GHLV6X4H.cjs');






var _chunkU7QCFBCQcjs = require('../chunk-U7QCFBCQ.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-WMBXBB3K.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-L646RZQB.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VFIICDKU.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-RZKLDILW.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-XR7AMYN7.cjs');
require('../chunk-B4JXPT6I.cjs');
require('../chunk-ZTXHUURC.cjs');
require('../chunk-NEUX2E3A.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-6BXZXESY.cjs');
require('../chunk-7ZVZ6CJO.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-CRY7SVRY.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-FFTVVGZI.cjs');
require('../chunk-N5KTMDVO.cjs');
require('../chunk-5KIDARFB.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-XVQVWCIE.cjs');
require('../chunk-52BL3727.cjs');
require('../chunk-SF5226HT.cjs');
require('../chunk-L5SJIWCK.cjs');
require('../chunk-DRQTDJSC.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-5K46PLWP.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-7FO3T7KH.cjs');
require('../chunk-BMRI2X66.cjs');



var _chunkQP5Y3I6Fcjs = require('../chunk-QP5Y3I6F.cjs');
require('../chunk-TAKWLGAZ.cjs');
require('../chunk-EBDUTZIB.cjs');

// src/common/crypto.spec.ts
var log = _chunkXYGMYIEVcjs.DefaultLogger.call(void 0, "crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(_chunkQP5Y3I6Fcjs.equalBinary.call(void 0, new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => _chunkU7QCFBCQcjs.randomUint8Array.call(void 0, 8)
    );
    let id;
    while (id = list.pop()) {
      expect(_chunkQP5Y3I6Fcjs.equalBinary.call(void 0, id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(_chunkQP5Y3I6Fcjs.toHex.call(void 0, await _chunkU7QCFBCQcjs.digest.call(void 0, "abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await _chunkU7QCFBCQcjs.digest.call(void 0, new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await _chunkU7QCFBCQcjs.deriveKeyPbkdf2.call(void 0, new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await _chunkU7QCFBCQcjs.encrypt.call(void 0, sample, key);
    const bin = await _chunkU7QCFBCQcjs.decrypt.call(void 0, cipher, key);
    expect(_chunkQP5Y3I6Fcjs.equalBinary.call(void 0, sample, bin)).toBe(true);
    const binFix = await _chunkU7QCFBCQcjs.decrypt.call(void 0, 
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.cjs.map