"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkWJLGDUG7cjs = require('../../chunk-WJLGDUG7.cjs');
require('../../chunk-S6C2I4HY.cjs');
require('../../chunk-TVG2N27I.cjs');
require('../../chunk-2K7CMJLH.cjs');
require('../../chunk-ZO3HNLXY.cjs');
require('../../chunk-TSD5DD6R.cjs');
require('../../chunk-IXCEHUIO.cjs');
require('../../chunk-XVSXTYYC.cjs');
require('../../chunk-LARONVYA.cjs');
require('../../chunk-MGRD2O72.cjs');
require('../../chunk-F2L2RVEN.cjs');
require('../../chunk-ZOA7N26R.cjs');
require('../../chunk-BNY33VPP.cjs');
require('../../chunk-VLHGYWYE.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-ZFHTACEU.cjs');
require('../../chunk-XYGMYIEV.cjs');
require('../../chunk-H7G364FQ.cjs');
require('../../chunk-GHLV6X4H.cjs');
require('../../chunk-U7QCFBCQ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-WMBXBB3K.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-ZTXHUURC.cjs');
require('../../chunk-NEUX2E3A.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-6BXZXESY.cjs');
require('../../chunk-7ZVZ6CJO.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-CRY7SVRY.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-FFTVVGZI.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-SF5226HT.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-5K46PLWP.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/exec/pool.spec.ts
describe("pool", () => {
  it("should execute some", async () => {
    const r = [];
    const pool = _chunkWJLGDUG7cjs.usePool.call(void 0, { maxParallel: 2 });
    const collectedEvents = [];
    pool.events.onAny((...args) => collectedEvents.push(args));
    expect(pool.progress.getFraction()).toBe(0);
    expect(pool.progress.getTotalUnits()).toBe(0);
    pool.enqueue(
      async () => {
        r.push("a");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "a" }
    );
    expect(pool.progress.getTotalUnits()).toBe(1);
    pool.enqueue(
      async (taskInfo) => {
        r.push("b");
        _optionalChain([taskInfo, 'optionalAccess', _ => _.setResolved, 'call', _2 => _2(2)]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
        _optionalChain([taskInfo, 'optionalAccess', _3 => _3.incResolved, 'call', _4 => _4()]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
        _optionalChain([taskInfo, 'optionalAccess', _5 => _5.incResolved, 'call', _6 => _6()]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "b", max: 5 }
    );
    pool.enqueue(
      async () => {
        r.push("c");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "c" }
    );
    pool.enqueue(
      async () => {
        r.push("d");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "d" }
    );
    pool.enqueue(
      async () => {
        r.push("dd");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "dd" }
    );
    pool.enqueue(
      async () => {
        r.push("e");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "e" }
    );
    const { cancel } = pool.enqueue(
      async () => {
        r.push("f");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "f" }
    );
    pool.cancel("dd");
    cancel();
    expect(r).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
      ]
    `);
    const { promise } = pool.enqueue(
      async () => {
        r.push("g");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
        return "g";
      },
      { id: "g" }
    );
    expect(pool.progress.getTotalUnits()).toBe(10);
    expect(pool.progress.toString()).toMatchInlineSnapshot(`
      "pool-0: 0 of 0 units, 20 %, cancel=false
        a: 0 of 1 units, 0 %, cancel=false
        b: 2 of 5 units, 40 %, cancel=false
        c: 0 of 1 units, 0 %, cancel=false
        d: 0 of 1 units, 0 %, cancel=false
        e: 0 of 1 units, 0 %, cancel=false
        g: 0 of 1 units, 0 %, cancel=false"
    `);
    expect(await promise).toBe("g");
    await pool.waitFinishAll();
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
    expect(pool.progress.getTotalUnits()).toBe(0);
    expect(pool.progress.getCompletedUnits()).toBe(0);
    expect(pool.progress.getFraction()).toBe(0);
    expect(pool.progress.toString()).toMatchInlineSnapshot('"pool-0: 0 of 0 units, 0 %, cancel=false"');
    expect(r).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        "c",
        "d",
        "e",
        "g",
      ]
    `);
    expect(collectedEvents).toMatchInlineSnapshot(`
      Array [
        Array [
          "didUpdate",
          1,
          0,
          1,
          0,
        ],
        Array [
          "didStart",
          "a",
        ],
        Array [
          "didUpdate",
          2,
          0,
          6,
          0,
        ],
        Array [
          "didStart",
          "b",
        ],
        Array [
          "didUpdate",
          2,
          0,
          6,
          2,
        ],
        Array [
          "didUpdate",
          3,
          0,
          7,
          2,
        ],
        Array [
          "didUpdate",
          4,
          0,
          8,
          2,
        ],
        Array [
          "didUpdate",
          5,
          0,
          9,
          2,
        ],
        Array [
          "didUpdate",
          6,
          0,
          10,
          2,
        ],
        Array [
          "didUpdate",
          7,
          0,
          11,
          2,
        ],
        Array [
          "didCancel",
          "dd",
        ],
        Array [
          "didUpdate",
          7,
          1,
          11,
          3,
        ],
        Array [
          "didCancel",
          "f",
        ],
        Array [
          "didUpdate",
          7,
          2,
          11,
          4,
        ],
        Array [
          "didUpdate",
          8,
          2,
          12,
          4,
        ],
        Array [
          "didUpdate",
          8,
          2,
          12,
          5,
        ],
        Array [
          "didUpdate",
          8,
          2,
          12,
          6,
        ],
        Array [
          "didResolve",
          "a",
          undefined,
        ],
        Array [
          "didUpdate",
          8,
          3,
          12,
          7,
        ],
        Array [
          "didStart",
          "c",
        ],
        Array [
          "didResolve",
          "b",
          undefined,
        ],
        Array [
          "didUpdate",
          8,
          4,
          12,
          8,
        ],
        Array [
          "didStart",
          "d",
        ],
        Array [
          "didResolve",
          "c",
          undefined,
        ],
        Array [
          "didUpdate",
          8,
          5,
          12,
          9,
        ],
        Array [
          "didStart",
          "e",
        ],
        Array [
          "didResolve",
          "d",
          undefined,
        ],
        Array [
          "didUpdate",
          8,
          6,
          12,
          10,
        ],
        Array [
          "didStart",
          "g",
        ],
        Array [
          "didResolve",
          "e",
          undefined,
        ],
        Array [
          "didUpdate",
          8,
          7,
          12,
          11,
        ],
        Array [
          "didResolve",
          "g",
          "g",
        ],
        Array [
          "didUpdate",
          8,
          8,
          12,
          12,
        ],
        Array [
          "didFinish",
        ],
      ]
    `);
  });
  it("should respect group", async () => {
    const r = [];
    const pool = _chunkWJLGDUG7cjs.usePool.call(void 0, { maxParallel: 3 });
    const collectedEvents = [];
    pool.events.onAny((...args) => collectedEvents.push(args));
    pool.enqueue(
      async () => {
        r.push("ga");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "ga", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("gb");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "gb", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("gc");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "gc", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("1");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "1" }
    );
    pool.enqueue(
      async () => {
        r.push("2");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "2" }
    );
    expect(r).toMatchInlineSnapshot(`
      Array [
        "ga",
        "1",
        "2",
      ]
    `);
    await pool.waitFinishAll();
    expect(r).toMatchInlineSnapshot(`
      Array [
        "ga",
        "1",
        "2",
        "gb",
        "gc",
      ]
    `);
    expect(collectedEvents).toMatchInlineSnapshot(`
      Array [
        Array [
          "didUpdate",
          1,
          0,
          1,
          0,
        ],
        Array [
          "didStart",
          "ga",
        ],
        Array [
          "didUpdate",
          2,
          0,
          2,
          0,
        ],
        Array [
          "didUpdate",
          3,
          0,
          3,
          0,
        ],
        Array [
          "didUpdate",
          4,
          0,
          4,
          0,
        ],
        Array [
          "didStart",
          "1",
        ],
        Array [
          "didUpdate",
          5,
          0,
          5,
          0,
        ],
        Array [
          "didStart",
          "2",
        ],
        Array [
          "didResolve",
          "ga",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          1,
          5,
          1,
        ],
        Array [
          "didStart",
          "gb",
        ],
        Array [
          "didResolve",
          "1",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          2,
          5,
          2,
        ],
        Array [
          "didResolve",
          "2",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          3,
          5,
          3,
        ],
        Array [
          "didResolve",
          "gb",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          4,
          5,
          4,
        ],
        Array [
          "didStart",
          "gc",
        ],
        Array [
          "didResolve",
          "gc",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          5,
          5,
          5,
        ],
        Array [
          "didFinish",
        ],
      ]
    `);
  });
});
//# sourceMappingURL=pool.spec.cjs.map