"use strict";


var _chunkPHDNJWF3cjs = require('../../chunk-PHDNJWF3.cjs');
require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-MBFXWDW2.cjs');
require('../../chunk-6MBQJIO3.cjs');
require('../../chunk-JCNZZG5S.cjs');
require('../../chunk-MISU7G26.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-CSTIENVQ.cjs');
require('../../chunk-EZIDDVJG.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-H6AB4FMJ.cjs');
require('../../chunk-5KZAXCCX.cjs');
require('../../chunk-4HLDMY5U.cjs');
require('../../chunk-WJLGDUG7.cjs');
require('../../chunk-S6C2I4HY.cjs');
require('../../chunk-TVG2N27I.cjs');
require('../../chunk-2K7CMJLH.cjs');
require('../../chunk-ZO3HNLXY.cjs');
require('../../chunk-TSD5DD6R.cjs');
require('../../chunk-IXCEHUIO.cjs');
require('../../chunk-XVSXTYYC.cjs');
require('../../chunk-LARONVYA.cjs');
require('../../chunk-MGRD2O72.cjs');
require('../../chunk-F2L2RVEN.cjs');
require('../../chunk-ZOA7N26R.cjs');
require('../../chunk-BNY33VPP.cjs');
require('../../chunk-VLHGYWYE.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-ZFHTACEU.cjs');
require('../../chunk-XYGMYIEV.cjs');
require('../../chunk-H7G364FQ.cjs');
require('../../chunk-GHLV6X4H.cjs');
require('../../chunk-U7QCFBCQ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-WMBXBB3K.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-ZTXHUURC.cjs');
require('../../chunk-NEUX2E3A.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-6BXZXESY.cjs');
require('../../chunk-7ZVZ6CJO.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-CRY7SVRY.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-FFTVVGZI.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-SF5226HT.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-5K46PLWP.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/node/log/log-util.spec.ts
describe("log-util", () => {
  it("should find correct source file line", () => {
    const source = _chunkPHDNJWF3cjs.getSourceLocation.call(void 0, 1, true);
    expect(source.startsWith("src/node/log/log-util.spec.ts:")).toBe(true);
  });
  it("should parse stack", () => {
    const sample = `
    at getSourceLocation (file:///Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17)
    at file:///Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at /Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at emit (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33)
    at Function.LoggerBaseFactory.log.info (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13)
    at file:///Users/dirk/work/public/zeed/demos/logging/index.js:37:5
    at ModuleJob.run (node:internal/modules/esm/module_job:183:25)
    at async Loader.import (node:internal/modules/esm/loader:178:24)
    at async Object.loadESM (node:internal/process/esm_loader:68:5)
    at async handleMainPromise (node:internal/modules/run_main:63:12)
`;
    expect(_chunkPHDNJWF3cjs.getStackLlocationList.call(void 0, sample)).toEqual([
      "/Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13",
      "/Users/dirk/work/public/zeed/demos/logging/index.js:37:5",
      "node:internal/modules/esm/module_job:183:25",
      "node:internal/modules/esm/loader:178:24",
      "node:internal/process/esm_loader:68:5",
      "node:internal/modules/run_main:63:12"
    ]);
  });
});
//# sourceMappingURL=log-util.spec.cjs.map