"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { newObj[key] = obj[key]; } } } newObj.default = obj; return newObj; } } function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/node/crypto.ts
var _crypto = require('crypto'); var _crypto2 = _interopRequireDefault(_crypto);
function setupWebCrypto() {
  try {
    if (typeof globalThis !== "undefined" && typeof globalThis.crypto === "undefined" && _crypto2.default && _crypto2.default.webcrypto) {
      globalThis.crypto = _crypto2.default.webcrypto;
    }
  } catch (err) {
    console.warn("Failed to polyfill webcrypto", err);
  }
}
async function getWebCrypto() {
  if (globalThis.crypto == null) {
    try {
      if (typeof globalThis !== "undefined" && typeof globalThis.crypto === "undefined") {
        const nodeCrypto2 = await Promise.resolve().then(() => _interopRequireWildcard(require("crypto")));
        globalThis.crypto = nodeCrypto2.webcrypto;
      }
    } catch (err) {
      console.warn("Failed to polyfill webcrypto", err);
    }
  }
  return globalThis.crypto;
}




exports.setupWebCrypto = setupWebCrypto; exports.getWebCrypto = getWebCrypto;
//# sourceMappingURL=chunk-A3VXV5V2.cjs.map