// src/common/localhost.ts
function isLocalHost(hostname = globalThis?.location?.hostname ?? "") {
  return ["::ffff:127.0.0.1", "localhost", "127.0.0.1", "", "::1", "::"].includes(
    hostname
  ) || hostname.startsWith("192.168.") || hostname.startsWith("10.0.") || hostname.endsWith(".local");
}

export {
  isLocalHost
};
//# sourceMappingURL=chunk-A7SUGWC3.js.map