// src/common/data/string-hash-fnv.ts
function stringHashFNV1a(str) {
  const l = str.length;
  let c;
  let i;
  let t0 = 0;
  let v0 = 40389;
  let t1 = 0;
  let v1 = 33052;
  for (i = 0; i < l; i++) {
    c = str.charCodeAt(i);
    if (c < 128) {
      v0 ^= c;
    } else if (c < 2048) {
      v0 ^= c >> 6 | 192;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c & 63 | 128;
    } else if ((c & 64512) === 55296 && i + 1 < l && (str.charCodeAt(i + 1) & 64512) === 56320) {
      c = 65536 + ((c & 1023) << 10) + (str.charCodeAt(++i) & 1023);
      v0 ^= c >> 18 | 240;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c >> 12 & 63 | 128;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c >> 6 & 63 | 128;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c & 63 | 128;
    } else {
      v0 ^= c >> 12 | 224;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c >> 6 & 63 | 128;
      t0 = v0 * 403;
      t1 = v1 * 403;
      t1 += v0 << 8;
      v1 = t1 + (t0 >>> 16) & 65535;
      v0 = t0 & 65535;
      v0 ^= c & 63 | 128;
    }
    t0 = v0 * 403;
    t1 = v1 * 403;
    t1 += v0 << 8;
    v1 = t1 + (t0 >>> 16) & 65535;
    v0 = t0 & 65535;
  }
  return (v1 << 16 >>> 0) + v0;
}

export {
  stringHashFNV1a
};
//# sourceMappingURL=chunk-NSJKG6AJ.js.map