"use strict";

var _chunkCRY7SVRYcjs = require('../../chunk-CRY7SVRY.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/data/distributed.spec.ts
describe("distributed.spec", () => {
  it("should distribute file names", async () => {
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 0)).toEqual(["1", "0"]);
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 1)).toEqual(["1", "1"]);
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 2)).toEqual(["1", "2"]);
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 999)).toEqual(["1", "999"]);
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 1e3)).toEqual(["2", "1", "0"]);
    expect(_chunkCRY7SVRYcjs.distributedFilePath.call(void 0, 1001)).toEqual(["2", "1", "1"]);
  });
});
//# sourceMappingURL=distributed.spec.cjs.map