import { LogMessageCompact, LogMessage, LogHandlerOptions, LogHandler } from './log-base.cjs';

declare function logMessageFromCompact(m: LogMessageCompact): LogMessage;
/** Collect messages in a list. */
declare function LoggerMemoryHandler(opt: LogHandlerOptions & {
    compact?: boolean;
    messages: LogMessageCompact[] | LogMessage[];
    errorTrace?: boolean;
    limit?: number;
    maxDepth?: number;
}): LogHandler;

export { LoggerMemoryHandler, logMessageFromCompact };
